// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/bk-config-service/pkg/repositories (interfaces: BkConfigRepository)
//
// Generated by this command:
//
//	mockgen -destination=./../test/mock/bk_config_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/bk-config-service/pkg/repositories BkConfigRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	healthcheck "gitlab.com/blauwe-knop/common/health-checker/pkg/healthcheck"
	model "gitlab.com/blauwe-knop/vorderingenoverzicht/bk-config-service/pkg/model"
	gomock "go.uber.org/mock/gomock"
)

// MockBkConfigRepository is a mock of BkConfigRepository interface.
type MockBkConfigRepository struct {
	ctrl     *gomock.Controller
	recorder *MockBkConfigRepositoryMockRecorder
	isgomock struct{}
}

// MockBkConfigRepositoryMockRecorder is the mock recorder for MockBkConfigRepository.
type MockBkConfigRepositoryMockRecorder struct {
	mock *MockBkConfigRepository
}

// NewMockBkConfigRepository creates a new mock instance.
func NewMockBkConfigRepository(ctrl *gomock.Controller) *MockBkConfigRepository {
	mock := &MockBkConfigRepository{ctrl: ctrl}
	mock.recorder = &MockBkConfigRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBkConfigRepository) EXPECT() *MockBkConfigRepositoryMockRecorder {
	return m.recorder
}

// CreateKeyPair mocks base method.
func (m *MockBkConfigRepository) CreateKeyPair(arg0 model.KeyPair) (*model.KeyPair, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateKeyPair", arg0)
	ret0, _ := ret[0].(*model.KeyPair)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateKeyPair indicates an expected call of CreateKeyPair.
func (mr *MockBkConfigRepositoryMockRecorder) CreateKeyPair(arg0 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateKeyPair", reflect.TypeOf((*MockBkConfigRepository)(nil).CreateKeyPair), arg0)
}

// GetHealthCheck mocks base method.
func (m *MockBkConfigRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockBkConfigRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockBkConfigRepository)(nil).GetHealthCheck))
}

// ListKeyPairs mocks base method.
func (m *MockBkConfigRepository) ListKeyPairs() (*[]model.KeyPair, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ListKeyPairs")
	ret0, _ := ret[0].(*[]model.KeyPair)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ListKeyPairs indicates an expected call of ListKeyPairs.
func (mr *MockBkConfigRepositoryMockRecorder) ListKeyPairs() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ListKeyPairs", reflect.TypeOf((*MockBkConfigRepository)(nil).ListKeyPairs))
}
